Skip to content
POST/{organizationId}/{mandateId}/crm/passes/templates

Create pass template

Required permissions:

  • mandate.read

  • contactPassTemplate.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 40

descriptionstringrequired

maxLength: 100

targetstringrequired

Options:

walletprintwalletAndPrint
contactTypestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
useRecognizableBarcodebooleanrequired
emailSubjectstringrequired

maxLength: 100

emailMessagestringrequired

maxLength: 1600

emailDaysBeforeinteger | nullrequired

minimum: 1

maximum: 365

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/passes/templates
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/passes/templates' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "description": "string",
  "target": "wallet",
  "contactType": "member",
  "contactSegments": [
    "string"
  ],
  "useRecognizableBarcode": true,
  "validFrom": {
    "literal": [
      1
    ]
  },
  "validTo": {
    "literal": [
      1
    ]
  },
  "emailSubject": "string",
  "emailMessage": "string",
  "emailDaysBefore": 1,
  "pass": "string",
  "schema": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}